Get participant events for a bot
Returns the participant events (join/leave) for a bot. Results are paginated using cursor pagination.
Path Parameters
- Type: stringobject
_id requiredBot ID
Query Parameters
- Type: string Format: ISO 8601 datetimeafter
Only return participant events created after this time. Useful when polling for updates.
- Type: string Format: ISO 8601 datetimebefore
Only return participant events created before this time.
- Type: stringcursor
Cursor for pagination
Headers
- Type: stringAuthorizationrequired
API key for authentication
- Type: stringContent
- Type requiredShould always be application/json
Responses
- application/json
- 404
Bot not found
Request Example for get/api/v1/bots/{object_id}/participant_events
curl https://app.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx/participant_events \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json'
{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"id": "string",
"participant_name": "string",
"participant_uuid": "string",
"participant_user_uuid": null,
"participant_is_host": true,
"event_type": "string",
"event_data": null,
"timestamp_ms": 1
}
]
}